# DO NOT DELETE: Beginning of Haskell dependencies
libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.o : libraries/containers/Utils/Containers/Internal/BitUtil.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/BitUtil.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.o : libraries/containers/Utils/Containers/Internal/BitQueue.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/BitQueue.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.o : libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.o : libraries/containers/Utils/Containers/Internal/PtrEquality.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/PtrEquality.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.o : libraries/base/dist-install/build/Unsafe/Coerce.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/State.o : libraries/containers/Utils/Containers/Internal/State.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/State.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/State.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/State.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/State.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/State.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.o : libraries/containers/Utils/Containers/Internal/StrictFold.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/StrictFold.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictMaybe.o : libraries/containers/Utils/Containers/Internal/StrictMaybe.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/StrictMaybe.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/StrictMaybe.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictMaybe.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.o : libraries/containers/Utils/Containers/Internal/StrictPair.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi  : %hi: %o  libraries/containers/Utils/Containers/Internal/StrictPair.hs))
libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/containers/Data/Set/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Set/Internal.hi  : %hi: %o  libraries/containers/Data/Set/Internal.hs))
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Text/Read.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Data/List.hi
libraries/containers/dist-install/build/Data/Set/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Set.o : libraries/containers/Data/Set.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Set.hi  : %hi: %o  libraries/containers/Data/Set.hs))
libraries/containers/dist-install/build/Data/Set.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Set.o : libraries/containers/dist-install/build/Data/Set/Internal.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/containers/Data/Sequence/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Sequence/Internal.hi  : %hi: %o  libraries/containers/Data/Sequence/Internal.hs))
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Control/Monad/Fix.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Control/Monad/Zip.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Functor/Identity.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Coerce.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/GHC/Arr.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/array/dist-install/build/Data/Array.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/array/dist-install/build/Data/Array.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/String.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Text/Read.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Traversable.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/State.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Functor.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/Monoid.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Data/List.hi
libraries/containers/dist-install/build/Data/Sequence/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.o : libraries/containers/Data/Sequence/Internal/Sorting.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.hi  : %hi: %o  libraries/containers/Data/Sequence/Internal/Sorting.hs))
libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.o : libraries/containers/dist-install/build/Utils/Containers/Internal/State.hi
libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.o : libraries/containers/dist-install/build/Data/Sequence/Internal.hi
libraries/containers/dist-install/build/Data/Sequence.o : libraries/containers/Data/Sequence.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Sequence.hi  : %hi: %o  libraries/containers/Data/Sequence.hs))
libraries/containers/dist-install/build/Data/Sequence.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Sequence.o : libraries/containers/dist-install/build/Data/Sequence/Internal/Sorting.hi
libraries/containers/dist-install/build/Data/Sequence.o : libraries/containers/dist-install/build/Data/Sequence/Internal.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/containers/Data/Tree.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Tree.hi  : %hi: %o  libraries/containers/Data/Tree.hs))
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Coerce.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Control/Monad/Zip.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/containers/dist-install/build/Data/Sequence.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Control/Monad/Fix.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Tree.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/containers/Data/Graph.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Graph.hi  : %hi: %o  libraries/containers/Data/Graph.hs))
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/GHC/Generics.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/List.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/array/dist-install/build/Data/Array.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/containers/dist-install/build/Data/Tree.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/array/dist-install/build/Data/Array/ST.hi
libraries/containers/dist-install/build/Data/Graph.o : libraries/base/dist-install/build/Control/Monad/ST.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/Data/Map/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Internal.hi  : %hi: %o  libraries/containers/Data/Map/Internal.hs))
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Coerce.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Control/Category.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Text/Read.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/BitQueue.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictMaybe.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/PtrEquality.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Data/Set/Internal.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/containers/dist-install/build/Data/Set/Internal.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Map/Internal.o : libraries/base/dist-install/build/Data/Functor/Identity.hi
libraries/containers/dist-install/build/Data/Map/Merge/Lazy.o : libraries/containers/Data/Map/Merge/Lazy.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Merge/Lazy.hi  : %hi: %o  libraries/containers/Data/Map/Merge/Lazy.hs))
libraries/containers/dist-install/build/Data/Map/Merge/Lazy.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Merge/Lazy.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map/Lazy/Merge.o : libraries/containers/Data/Map/Lazy/Merge.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Lazy/Merge.hi  : %hi: %o  libraries/containers/Data/Map/Lazy/Merge.hs))
libraries/containers/dist-install/build/Data/Map/Lazy/Merge.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Lazy/Merge.o : libraries/containers/dist-install/build/Data/Map/Merge/Lazy.hi
libraries/containers/dist-install/build/Data/Map/Internal/Debug.o : libraries/containers/Data/Map/Internal/Debug.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Internal/Debug.hi  : %hi: %o  libraries/containers/Data/Map/Internal/Debug.hs))
libraries/containers/dist-install/build/Data/Map/Internal/Debug.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Internal/Debug.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/containers/dist-install/build/Data/Map/Internal/Debug.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.o : libraries/containers/Data/Map/Internal/DeprecatedShowTree.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.hi  : %hi: %o  libraries/containers/Data/Map/Internal/DeprecatedShowTree.hs))
libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.o : libraries/containers/dist-install/build/Data/Map/Internal/Debug.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/Data/Map/Strict/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Strict/Internal.hi  : %hi: %o  libraries/containers/Data/Map/Strict/Internal.hs))
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/base/dist-install/build/Data/Functor/Identity.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/base/dist-install/build/Data/Coerce.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Data/Set/Internal.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Data/Map/Internal/Debug.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map/Strict/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Strict.o : libraries/containers/Data/Map/Strict.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Strict.hi  : %hi: %o  libraries/containers/Data/Map/Strict.hs))
libraries/containers/dist-install/build/Data/Map/Strict.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Strict.o : libraries/containers/dist-install/build/Data/Map/Strict/Internal.hi
libraries/containers/dist-install/build/Data/Map/Merge/Strict.o : libraries/containers/Data/Map/Merge/Strict.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Merge/Strict.hi  : %hi: %o  libraries/containers/Data/Map/Merge/Strict.hs))
libraries/containers/dist-install/build/Data/Map/Merge/Strict.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Merge/Strict.o : libraries/containers/dist-install/build/Data/Map/Strict/Internal.hi
libraries/containers/dist-install/build/Data/Map/Strict/Merge.o : libraries/containers/Data/Map/Strict/Merge.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Strict/Merge.hi  : %hi: %o  libraries/containers/Data/Map/Strict/Merge.hs))
libraries/containers/dist-install/build/Data/Map/Strict/Merge.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Strict/Merge.o : libraries/containers/dist-install/build/Data/Map/Merge/Strict.hi
libraries/containers/dist-install/build/Data/Map/Lazy.o : libraries/containers/Data/Map/Lazy.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map/Lazy.hi  : %hi: %o  libraries/containers/Data/Map/Lazy.hs))
libraries/containers/dist-install/build/Data/Map/Lazy.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/Map/Lazy.o : libraries/containers/dist-install/build/Data/Map/Internal/Debug.hi
libraries/containers/dist-install/build/Data/Map/Lazy.o : libraries/containers/dist-install/build/Data/Map/Internal/DeprecatedShowTree.hi
libraries/containers/dist-install/build/Data/Map/Lazy.o : libraries/containers/dist-install/build/Data/Map/Internal.hi
libraries/containers/dist-install/build/Data/Map.o : libraries/containers/Data/Map.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/Map.hi  : %hi: %o  libraries/containers/Data/Map.hs))
libraries/containers/dist-install/build/Data/Map.o : libraries/containers/dist-install/build/Data/Map/Strict.hi
libraries/containers/dist-install/build/Data/Map.o : libraries/containers/dist-install/build/Data/Map/Lazy.hi
libraries/containers/dist-install/build/Data/Map.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/containers/Data/IntSet/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntSet/Internal.hi  : %hi: %o  libraries/containers/Data/IntSet/Internal.hs))
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Text/Read.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/List.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/IntSet/Internal.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/IntSet.o : libraries/containers/Data/IntSet.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntSet.hi  : %hi: %o  libraries/containers/Data/IntSet.hs))
libraries/containers/dist-install/build/Data/IntSet.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntSet.o : libraries/containers/dist-install/build/Data/IntSet/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/Data/IntMap/Internal.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Internal.hi  : %hi: %o  libraries/containers/Data/IntMap/Internal.hs))
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Coerce.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Control/Category.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Text/Read.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Data.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/dist-install/build/Data/IntSet/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/containers/dist-install/build/Data/IntSet/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Maybe.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Foldable.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Functor/Classes.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Semigroup.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/IntMap/Internal.o : libraries/base/dist-install/build/Data/Functor/Identity.hi
libraries/containers/dist-install/build/Data/IntMap/Merge/Strict.o : libraries/containers/Data/IntMap/Merge/Strict.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Merge/Strict.hi  : %hi: %o  libraries/containers/Data/IntMap/Merge/Strict.hs))
libraries/containers/dist-install/build/Data/IntMap/Merge/Strict.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Merge/Strict.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Merge/Lazy.o : libraries/containers/Data/IntMap/Merge/Lazy.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Merge/Lazy.hi  : %hi: %o  libraries/containers/Data/IntMap/Merge/Lazy.hs))
libraries/containers/dist-install/build/Data/IntMap/Merge/Lazy.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Merge/Lazy.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.o : libraries/containers/Data/IntMap/Internal/DeprecatedDebug.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.hi  : %hi: %o  libraries/containers/Data/IntMap/Internal/DeprecatedDebug.hs))
libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/Data/IntMap/Strict.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Strict.hi  : %hi: %o  libraries/containers/Data/IntMap/Strict.hs))
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/base/dist-install/build/Control/Applicative.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictPair.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Utils/Containers/Internal/StrictFold.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Utils/Containers/Internal/BitUtil.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Data/IntSet/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/base/dist-install/build/Data/Bits.hi
libraries/containers/dist-install/build/Data/IntMap/Strict.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Lazy.o : libraries/containers/Data/IntMap/Lazy.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Lazy.hi  : %hi: %o  libraries/containers/Data/IntMap/Lazy.hs))
libraries/containers/dist-install/build/Data/IntMap/Lazy.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Lazy.o : libraries/containers/dist-install/build/Data/IntMap/Internal/DeprecatedDebug.hi
libraries/containers/dist-install/build/Data/IntMap/Lazy.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
libraries/containers/dist-install/build/Data/IntMap.o : libraries/containers/Data/IntMap.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap.hi  : %hi: %o  libraries/containers/Data/IntMap.hs))
libraries/containers/dist-install/build/Data/IntMap.o : libraries/containers/dist-install/build/Data/IntMap/Lazy.hi
libraries/containers/dist-install/build/Data/IntMap.o : libraries/containers/dist-install/build/Data/IntMap/Strict.hi
libraries/containers/dist-install/build/Data/IntMap.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Internal/Debug.o : libraries/containers/Data/IntMap/Internal/Debug.hs
$(eval $(call hi-rule,libraries/containers/dist-install/build/Data/IntMap/Internal/Debug.hi  : %hi: %o  libraries/containers/Data/IntMap/Internal/Debug.hs))
libraries/containers/dist-install/build/Data/IntMap/Internal/Debug.o : libraries/base/dist-install/build/Prelude.hi
libraries/containers/dist-install/build/Data/IntMap/Internal/Debug.o : libraries/containers/dist-install/build/Data/IntMap/Internal.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/containers_dist-install_depfile_haskell_EXISTS = YES
